- Qt 5.15
- Qt Core
- C++ Classes
- QFlags
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QFlags

The following members of class QFlags are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QFlags(Zero)

## Member Function Documentation

### QFlags::QFlags(Zero)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Constructs a QFlags object with no flags set. The parameter must be a literal 0 value.

Deprecated, use default constructor instead.